跳转到主要内容
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
google
/
questions_and_answers
/
task_get
/
{id}
按 id 获取 Google My Business 问题与回答结果
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/google/questions_and_answers/task_get/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/business_data/google/questions_and_answers/task_get/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/dataforseo/business_data/google/questions_and_answers/task_get/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.keyword": "<string>",
  "result.se_domain": "<string>",
  "result.location_code": 123,
  "result.language_code": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.cid": "<string>",
  "result.feature_id": "<string>",
  "result.item_types": [
    "<string>"
  ],
  "items_without_answers": [
    "<string>"
  ],
  "items_without_answers.type": "<string>",
  "items_without_answers.rank_group": 123,
  "items_without_answers.rank_absolute": 123,
  "items_without_answers.question_id": "<string>",
  "items_without_answers.url": "<string>",
  "items_without_answers.profile_image_url": "<string>",
  "items_without_answers.profile_url": "<string>",
  "items_without_answers.profile_name": "<string>",
  "items_without_answers.question_text": "<string>",
  "items_without_answers.original_question_text": "<string>",
  "items_without_answers.time_ago": "<string>",
  "items_without_answers.timestamp": "<string>",
  "items_without_answers.items": [
    "<string>"
  ],
  "items_without_answers.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.rank_group": 123,
  "items.rank_absolute": 123,
  "items.question_id": "<string>",
  "items.url": "<string>",
  "items.profile_image_url": "<string>",
  "items.profile_url": "<string>",
  "items.profile_name": "<string>",
  "items.question_text": "<string>",
  "items.original_question_text": "<string>",
  "items.time_ago": "<string>",
  "items.timestamp": "<string>",
  "items.items": [
    "<string>"
  ],
  "items.answer_id": "<string>",
  "items.answer_text": "<string>",
  "items.original_answer_text": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

id
string
必填

DataForSEO 任务 ID。

查询参数

id
string

任务标识符 本系统中采用 UUID 格式的唯一任务标识符;你可以在 30 天内随时使用它请求任务结果。

响应

成功响应

version
string

API 的当前版本

version.status_code
integer

常规状态代码 您可以在此处查看完整的响应代码列表。注意:我们强烈建议设计必要的系统来处理相关异常或错误情况

version.status_message
string

一般信息消息 你可以在此处查看一般信息消息的完整列表

version.time
string

执行时间(秒)

version.cost
number

所有任务的总成本(美元)

version.tasks_count
integer

tasks 数组中的任务数量

version.tasks_error
integer

tasks 数组中返回错误的任务数量

tasks
string[]

任务数组

tasks.id
string

任务标识符 我们系统中采用 UUID 格式的唯一任务标识符

tasks.status_code
integer

由 DataForSEO 生成的任务状态码;范围为 10000-60000;你可以在此处查看完整的响应代码列表

tasks.status_message
string

任务的提示信息 你可以在此处查看通用提示信息的完整列表

tasks.time
string

执行时间(秒)

tasks.cost
number

任务成本(美元)

tasks.result_count
integer

result 数组中的元素数量

tasks.path
string[]

URL 路径

tasks.data
object

包含与您在 POST 请求中指定的参数相同的参数

result
string[]

结果数组

result.keyword
string

在 POST 数组中收到的关键词 返回关键词时,将解码 %##(加号字符‘+’将被解码为空格字符)。如果您在设置任务时于 keyword 字段中指定了 cid 参数,此字段将包含该参数;示例:cid:2946633002421908862。有关此参数的更多信息,请参阅此帮助中心文章

result.se_domain
string

POST 数组中指定的搜索引擎域名

result.location_code
integer

POST 数组中的位置代码

result.language_code
string

POST 数组中的语言代码

result.check_url
string

搜索引擎结果的直接 URL,你可以使用它确认我们提供的结果是否准确

result.datetime
string

收到结果的日期和时间,采用 UTC 格式:“yyyy-mm-dd hh-mm-ss +00:00”;示例:2019-11-15 12:57:46 +00:00

result.cid
string

Google 定义的客户端 id,本地商家的唯一 id;有关此标识符的更多信息,请参阅此帮助中心文章

result.feature_id
string

SERP 功能的唯一标识符

result.item_types
string[]

项目类型 items 数组中出现的搜索引擎结果类型;可能的项目类型:google_business_question_item

items_without_answers
string[]

不含答案的 Google 商家问题项数组

items_without_answers.type
string

元素类型 = ‘google_business_question_item’

items_without_answers.rank_group
integer

在具有相同 type 值的一组元素中的位置 具有不同 type 值的元素的位置不计入 rank_group

items_without_answers.rank_absolute
integer

在所有元素中的绝对排名

items_without_answers.question_id
string

问题 ID

items_without_answers.url
string

问题的 URL

items_without_answers.profile_image_url
string

用户个人资料图片的 URL

items_without_answers.profile_url
string

用户个人资料的 URL

items_without_answers.profile_name
string

用户的显示名称

items_without_answers.question_text
string

问题的当前文本

items_without_answers.original_question_text
string

问题的原始文本

items_without_answers.time_ago
string

问题发布的估计时间

items_without_answers.timestamp
string

问题发布的确切时间

items_without_answers.items
string[]

项目数组 google_business_question_item 中的项目

items_without_answers.items_count
integer

items 数组中的项目数量

items
string[]

包含答案的 Google 商家问题项数组 可能的项类型:google_business_question_item

items.type
string

元素类型 = ‘google_business_answer_element’

items.rank_group
integer

在具有相同 type 值的一组元素中的位置 具有不同 type 值的元素的位置不计入 rank_group

items.rank_absolute
integer

在所有元素中的绝对排名

items.question_id
string

问题 ID

items.url
string

问题的 URL

items.profile_image_url
string

用户个人资料图片的 URL

items.profile_url
string

用户个人资料的 URL

items.profile_name
string

用户的显示名称

items.question_text
string

问题的当前文本

items.original_question_text
string

问题的原始文本

items.time_ago
string

答案发布的估计时间

items.timestamp
string

回答发布的确切时间

items.items
string[]

google_business_question_item 中的项目数组 包含 Google 商家问题的回答;每个问题最多返回 5 个回答;可能的项目类型:google_business_answer_element

items.answer_id
string

答案 ID

items.answer_text
string

答案的当前文本

items.original_answer_text
string

回答的原始文本